class CompareController < ApplicationController
  def index
    @compare_query = CompareQuery.new
    @runtimes = []
    @benchmark_info = nil
  end

  def filter
    @compare_query = CompareQuery.new(compare_query_params)
    @runtimes = @compare_query.filtered_runtimes
    @benchmark_info = @compare_query.benchmark_info
    render "index"
  end

  private

  def compare_query_params
    params.require(:compare_query).permit!
  end
end
