class BenchmarkConfiguration < ActiveRecord::Base

  has_many :benchmark_batches, dependent: :destroy, inverse_of: :benchmark_configuration
  belongs_to :language, inverse_of: :benchmark_configurations
  belongs_to :runtime, inverse_of: :benchmark_configurations
  belongs_to :operating_system, inverse_of: :benchmark_configurations

  def name
    "#{runtime.name} (#{language.name}) on #{operating_system.name}"
  end

end
