class ImportQuery
  include ActiveModel::Model
 
  attr_accessor :configuration_id

  def store!
    raise "fixme"
    batch = BenchmarkBatch.create!(
      configuration_id: configuration_id)
    data_from_json["outcomes"].each do |b|
      b_params = b_to_params(b)

      bench_info = BenchmarkInfo.where(b_params).first
      bench_info = BenchmarkInfo.create!(b_params) unless bench_info

      result = BenchmarkResult.create!(
        benchmark_info_id: bench_info.id,
        benchmark_batch_id: batch.id)
      b["times"].each do |duration|
        result.benchmark_durations.create!(duration: duration)
      end
    end
  end

  private

  def b_to_params(b)
    {
      benchmark_class: b["benchmark"]["class"],
      benchmark_selector: b["benchmark"]["selector"]
    }
  end

  def performed_at_ensured
    if performed_at.present?
      performed_at
    else
      Date.today
    end
  end

end
